diff --git a/CHANGELOG b/CHANGELOG
index 146bb32..a742c27 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -8,6 +8,7 @@
 - remove macro substitution in automount.8 man page (Guillaume Rousse).
 - correct hesiod library check in configure (Guillaume Rousse).
 - drop "DEFAULT_" prefix from configuration names (Guillaume Rousse).
+- remove redundant ident macros.
 
 20/2/2007 autofs-5.0.1
 ----------------------
diff --git a/CREDITS b/CREDITS
index 533656c..8d5057a 100644
--- a/CREDITS
+++ b/CREDITS
@@ -1,6 +1,4 @@
 
-ident "$Id"
-
 CREDITS
 =======
 
diff --git a/Makefile b/Makefile
index 68ec1e3..071b1ae 100644
--- a/Makefile
+++ b/Makefile
@@ -1,6 +1,4 @@
 #
-# $Id: Makefile,v 1.5 2005/11/27 04:55:15 raven Exp $
-#
 # Main Makefile for the autofs user-space tools
 #
 
diff --git a/Makefile.rules b/Makefile.rules
index 5179ea4..b1d1a49 100644
--- a/Makefile.rules
+++ b/Makefile.rules
@@ -1,6 +1,4 @@
 #
-# $Id: Makefile.rules,v 1.9 2006/03/30 02:09:51 raven Exp $
-#
 # Makefile rules for autofs project
 #
 
diff --git a/README b/README
index 0cadd11..cef16a9 100644
--- a/README
+++ b/README
@@ -1,7 +1,5 @@
 -*- text -*-
 
-ident $Id: README,v 1.5 2003/12/04 15:34:52 raven Exp $
-
 autofs is a kernel-based automounter for Linux.  It performs a job
 similar to amd(8) but relies on a small stub of kernel code instead of
 pretending to be an NFS server.  The result is simpler code, better
diff --git a/README.gentoo b/README.gentoo
index 59d52e7..c23820d 100644
--- a/README.gentoo
+++ b/README.gentoo
@@ -1,6 +1,4 @@
 
-indent $Id: README.gentoo,v 1.2 2005/04/06 15:24:37 raven Exp $
-
 Howto do an ebuild from the distribution for Gentoo
 ===================================================
 
diff --git a/README.ncpfs b/README.ncpfs
index 6e997e7..dede8ed 100644
--- a/README.ncpfs
+++ b/README.ncpfs
@@ -1,6 +1,4 @@
 
-ident $Id: README.ncpfs,v 1.2 2004/11/20 14:52:59 raven Exp $
-
 Hi all,
 
 Below is the contents of a mail from Mike Fleetwood which describes how
diff --git a/aclocal.m4 b/aclocal.m4
index 5202605..d0d8346 100644
--- a/aclocal.m4
+++ b/aclocal.m4
@@ -1,6 +1,4 @@
 dnl
-dnl $Id: aclocal.m4,v 1.7 2006/04/01 06:48:05 raven Exp $
-dnl
 dnl --------------------------------------------------------------------------
 dnl AF_PATH_INCLUDE:
 dnl
diff --git a/autofs.spec b/autofs.spec
index 6a34e11..36e78f8 100644
--- a/autofs.spec
+++ b/autofs.spec
@@ -1,7 +1,5 @@
 #
-# $Id: autofs.spec,v 1.35 2006/03/30 02:09:51 raven Exp $
 #
-
 %ifarch sparc i386 i586 i686
 %define _lib lib
 %endif
diff --git a/configure.in b/configure.in
index 82c0272..e63e6c9 100644
--- a/configure.in
+++ b/configure.in
@@ -1,6 +1,4 @@
 #
-#ident $Id: configure.in,v 1.30 2006/04/06 20:02:04 raven Exp $
-#
 # configure.in for the autofs daemon
 
 AC_PREREQ(2.5)
diff --git a/daemon/Makefile b/daemon/Makefile
index 792357e..4ee70eb 100644
--- a/daemon/Makefile
+++ b/daemon/Makefile
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.11 2006/03/30 02:09:51 raven Exp $
 #
 # Makefile for autofs
 #
diff --git a/gentoo/net-fs/autofs/files/auto.home b/gentoo/net-fs/autofs/files/auto.home
index 28a1c92..8705db0 100644
--- a/gentoo/net-fs/autofs/files/auto.home
+++ b/gentoo/net-fs/autofs/files/auto.home
@@ -1,4 +1,3 @@
-# $Id: auto.home,v 1.1 2005/01/02 06:01:46 raven Exp $
 # This is an automounter map and it has the following format
 # key [ -mount-options-separated-by-comma ] location
 # Details may be found in the autofs(5) manpage
diff --git a/gentoo/net-fs/autofs/files/auto.master b/gentoo/net-fs/autofs/files/auto.master
index 2d072b7..8ef7cb5 100644
--- a/gentoo/net-fs/autofs/files/auto.master
+++ b/gentoo/net-fs/autofs/files/auto.master
@@ -1,4 +1,3 @@
-# $Id: auto.master,v 1.2 2005/01/04 14:42:57 raven Exp $
 # Sample auto.master file
 # Format of this file:
 # mountpoint map options
diff --git a/gentoo/net-fs/autofs/files/auto.misc b/gentoo/net-fs/autofs/files/auto.misc
index 07ee17e..ace70e4 100644
--- a/gentoo/net-fs/autofs/files/auto.misc
+++ b/gentoo/net-fs/autofs/files/auto.misc
@@ -1,4 +1,3 @@
-# $Id: auto.misc,v 1.1 2005/01/02 06:01:46 raven Exp $
 # This is an automounter map and it has the following format
 # key [ -mount-options-separated-by-comma ] location
 # Details may be found in the autofs(5) manpage
diff --git a/gentoo/net-fs/autofs/files/auto.net b/gentoo/net-fs/autofs/files/auto.net
index 2309092..ba03447 100755
--- a/gentoo/net-fs/autofs/files/auto.net
+++ b/gentoo/net-fs/autofs/files/auto.net
@@ -1,7 +1,5 @@
 #!/bin/bash
 
-# $Id: auto.net,v 1.4 2005/04/11 11:30:54 raven Exp $
-
 # This file must be executable to work! chmod 755!
 
 # Look at what a host is exporting to determine what we can mount.
diff --git a/gentoo/net-fs/autofs/files/auto.smb b/gentoo/net-fs/autofs/files/auto.smb
index d0abcd7..0ba597f 100755
--- a/gentoo/net-fs/autofs/files/auto.smb
+++ b/gentoo/net-fs/autofs/files/auto.smb
@@ -1,7 +1,5 @@
 #!/bin/bash
 
-# $Id: auto.smb,v 1.3 2005/04/05 13:02:09 raven Exp $
-
 # This file must be executable to work! chmod 755!
 
 key="$1"
diff --git a/include/config.h.in b/include/config.h.in
index fdc4152..f26087c 100644
--- a/include/config.h.in
+++ b/include/config.h.in
@@ -1,4 +1,3 @@
-#ident "$Id: config.h.in,v 1.8 2006/04/01 06:48:05 raven Exp $"
 /* -*- c -*-
  *
  * config.h.in: Pattern file for autofs to be filled in by configure
diff --git a/lib/Makefile b/lib/Makefile
index 5c4d022..c9f0733 100644
--- a/lib/Makefile
+++ b/lib/Makefile
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.21 2006/04/01 06:48:05 raven Exp $
 #
 # Makefile for autofs utility library
 #
diff --git a/lib/master_parse.y b/lib/master_parse.y
index ea99c3b..e4c9f7d 100644
--- a/lib/master_parse.y
+++ b/lib/master_parse.y
@@ -1,8 +1,6 @@
 %{
 /* ----------------------------------------------------------------------- *
  *   
- *  "$Id: master_parse.y,v 1.6 2006/03/29 10:32:36 raven Exp $"
- *
  *  master_parser.y - master map buffer parser.
  *
  *   Copyright 2006 Ian Kent <raven@themaw.net>
diff --git a/lib/master_tok.l b/lib/master_tok.l
index 84239c1..a5d6066 100644
--- a/lib/master_tok.l
+++ b/lib/master_tok.l
@@ -1,8 +1,6 @@
 %{
 /* ----------------------------------------------------------------------- *
  *   
- *  "$Id: master_tok.l,v 1.2 2006/03/26 17:26:32 raven Exp $"
- *
  *  master_tok.l - master map tokenizer.
  *
  *   Copyright 2006 Ian Kent <raven@themaw.net>
diff --git a/lib/nss_parse.y b/lib/nss_parse.y
index 6be243e..4f67f08 100644
--- a/lib/nss_parse.y
+++ b/lib/nss_parse.y
@@ -1,8 +1,6 @@
 %{
 /* ----------------------------------------------------------------------- *
  *   
- *  "$Id: nss_parse.y,v 1.5 2006/03/21 04:28:53 raven Exp $"
- *
  *  nss_parser.y - nsswitch parser.
  *
  *   Copyright 2006 Ian Kent <raven@themaw.net>
diff --git a/lib/nss_tok.l b/lib/nss_tok.l
index 597fc76..71d83b0 100644
--- a/lib/nss_tok.l
+++ b/lib/nss_tok.l
@@ -1,8 +1,6 @@
 %{
 /* ----------------------------------------------------------------------- *
  *   
- *  "$Id: nss_tok.l,v 1.3 2006/03/21 04:28:53 raven Exp $"
- *
  *  nss_tok.l - nsswitch tokenizer.
  *
  *   Copyright 2006 Ian Kent <raven@themaw.net>
diff --git a/man/Makefile b/man/Makefile
index d2c42de..9aa9cb7 100644
--- a/man/Makefile
+++ b/man/Makefile
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.3 2003/09/29 08:22:35 raven Exp $
 
 -include ../Makefile.conf
 include ../Makefile.rules
diff --git a/man/auto.master.5.in b/man/auto.master.5.in
index cfeefe7..6edd6d0 100644
--- a/man/auto.master.5.in
+++ b/man/auto.master.5.in
@@ -1,5 +1,4 @@
 .\" t
-.\" $Id: auto.master.5,v 1.2 2003/09/29 08:22:35 raven Exp $
 .TH AUTO.MASTER 5 "11 Apr 2006"
 .SH NAME
 auto.master \- Master Map for automounter
diff --git a/man/autofs.5 b/man/autofs.5
index 61ee06b..eb15c2a 100644
--- a/man/autofs.5
+++ b/man/autofs.5
@@ -1,5 +1,4 @@
 .\" t
-.\" $Id: autofs.5,v 1.8 2004/05/18 12:22:40 raven Exp $
 .TH AUTOFS 5 "6 Apr 1998"
 .TH AUTOFS 5 "14 Jan 2000"
 .SH NAME
diff --git a/man/autofs.8.in b/man/autofs.8.in
index 877b406..4828b39 100644
--- a/man/autofs.8.in
+++ b/man/autofs.8.in
@@ -1,4 +1,3 @@
-.\" $Id: autofs.8.in,v 1.4 2005/01/05 10:12:42 raven Exp $
 .TH AUTOFS 8 "9 Sep 1997"
 .SH NAME
 @@initdir@@/autofs \- Control Script for automounter
diff --git a/man/automount.8 b/man/automount.8
index 5a24c00..9da82c4 100644
--- a/man/automount.8
+++ b/man/automount.8
@@ -6,8 +6,6 @@
 .\"
 .\" This is free documentation.
 .\"
-.\" $Id: automount.8,v 1.8 2004/11/20 13:54:39 raven Exp $
-.\"
 .TH AUTOMOUNT 8 "12 Apr 2006"
 .SH NAME
 automount \- manage autofs mount points
diff --git a/modules/Makefile b/modules/Makefile
index ad2c955..d8f53d1 100644
--- a/modules/Makefile
+++ b/modules/Makefile
@@ -1,4 +1,3 @@
-# $Id: Makefile,v 1.11 2006/04/06 20:02:04 raven Exp $
 #
 # Makefile for autofs
 #
diff --git a/redhat/Makefile b/redhat/Makefile
index bb31e8d..ea83719 100644
--- a/redhat/Makefile
+++ b/redhat/Makefile
@@ -1,6 +1,4 @@
-#
-# $Id: Makefile,v 1.12 2006/04/03 23:00:05 raven Exp $
-#
+
 -include ../Makefile.conf
 include ../Makefile.rules
 
diff --git a/redhat/autofs.init.in b/redhat/autofs.init.in
index f0ed3d9..15a21be 100644
--- a/redhat/autofs.init.in
+++ b/redhat/autofs.init.in
@@ -1,7 +1,5 @@
 #!/bin/bash
 #
-# $Id: rc.autofs.in,v 1.63 2006/03/30 02:09:51 raven Exp $
-#
 # rc file for automount using a Sun-style "master map".
 #
 # chkconfig: 345 28 72
diff --git a/samples/Makefile b/samples/Makefile
index 2cd90b1..81f401d 100644
--- a/samples/Makefile
+++ b/samples/Makefile
@@ -1,6 +1,4 @@
 #
-# $Id: Makefile,v 1.12 2006/04/03 23:00:05 raven Exp $
-#
 -include ../Makefile.conf
 include ../Makefile.rules
 
diff --git a/samples/auto.master b/samples/auto.master
index 08e6ef2..d4796a3 100644
--- a/samples/auto.master
+++ b/samples/auto.master
@@ -1,6 +1,4 @@
 #
-# $Id: auto.master,v 1.4 2005/01/04 14:36:54 raven Exp $
-#
 # Sample auto.master file
 # This is an automounter map and it has the following format
 # key [ -mount-options-separated-by-comma ] location
diff --git a/samples/auto.misc b/samples/auto.misc
index 7f1467c..0ee5e75 100644
--- a/samples/auto.misc
+++ b/samples/auto.misc
@@ -1,6 +1,4 @@
 #
-# $Id: auto.misc,v 1.2 2003/09/29 08:22:35 raven Exp $
-#
 # This is an automounter map and it has the following format
 # key [ -mount-options-separated-by-comma ] location
 # Details may be found in the autofs(5) manpage
diff --git a/samples/auto.net b/samples/auto.net
index 0288cd7..ba03447 100755
--- a/samples/auto.net
+++ b/samples/auto.net
@@ -1,7 +1,5 @@
 #!/bin/bash
 
-# $Id: auto.net,v 1.8 2005/04/05 13:02:09 raven Exp $
-
 # This file must be executable to work! chmod 755!
 
 # Look at what a host is exporting to determine what we can mount.
diff --git a/samples/auto.smb b/samples/auto.smb
index 56e6232..fb39053 100755
--- a/samples/auto.smb
+++ b/samples/auto.smb
@@ -1,7 +1,5 @@
 #!/bin/bash
 
-# $Id: auto.smb,v 1.3 2005/04/05 13:02:09 raven Exp $
-
 # This file must be executable to work! chmod 755!
 
 key="$1"
diff --git a/samples/ldap-automount-auto.direct b/samples/ldap-automount-auto.direct
index 012b276..88d5d26 100644
--- a/samples/ldap-automount-auto.direct
+++ b/samples/ldap-automount-auto.direct
@@ -1,6 +1,4 @@
 #
-# ident $Id: ldap-automount-auto.direct,v 1.2 2003/12/10 14:54:33 raven Exp $
-#
 dn: ou=auto.direct,dc=bogus
 objectClass: top
 objectClass: automountMap
diff --git a/samples/ldap-automount-auto.indirect b/samples/ldap-automount-auto.indirect
index 285b6e3..c4db2ed 100644
--- a/samples/ldap-automount-auto.indirect
+++ b/samples/ldap-automount-auto.indirect
@@ -1,6 +1,4 @@
 #
-# ident $Id: ldap-automount-auto.indirect,v 1.2 2003/12/10 14:54:33 raven Exp $
-#
 dn: ou=auto.indirect,dc=bogus
 objectClass: top
 objectClass: automountMap
diff --git a/samples/ldap-automount-auto.master b/samples/ldap-automount-auto.master
index eb6f861..92afeac 100644
--- a/samples/ldap-automount-auto.master
+++ b/samples/ldap-automount-auto.master
@@ -1,6 +1,4 @@
 #
-# ident $Id: ldap-automount-auto.master,v 1.2 2003/12/10 14:54:33 raven Exp $
-#
 dn: ou=auto.master,dc=bogus
 objectClass: top
 objectClass: automountMap
diff --git a/samples/ldap-automount-rfc2307-bis-auto.direct b/samples/ldap-automount-rfc2307-bis-auto.direct
index e2d72c9..7bde24b 100644
--- a/samples/ldap-automount-rfc2307-bis-auto.direct
+++ b/samples/ldap-automount-rfc2307-bis-auto.direct
@@ -1,6 +1,4 @@
 #
-# ident $Id: ldap-automount-auto.direct,v 1.2 2003/12/10 14:54:33 raven Exp $
-#
 dn: automountMapName=auto_direct,dc=themaw,dc=net
 objectClass: top
 objectClass: automountMap
diff --git a/samples/ldap-nis-auto.direct b/samples/ldap-nis-auto.direct
index a969ef3..40e87e9 100644
--- a/samples/ldap-nis-auto.direct
+++ b/samples/ldap-nis-auto.direct
@@ -1,6 +1,4 @@
 #
-# ident $Id: ldap-nis-auto.direct,v 1.2 2003/12/10 14:54:33 raven Exp $
-#
 dn: nisMapName=auto.direct,dc=bogus
 objectClass: top
 objectClass: nisMap
diff --git a/samples/ldap-nis-auto.indirect b/samples/ldap-nis-auto.indirect
index 51bdbcd..5e67170 100644
--- a/samples/ldap-nis-auto.indirect
+++ b/samples/ldap-nis-auto.indirect
@@ -1,6 +1,4 @@
 #
-# ident $Id: ldap-nis-auto.indirect,v 1.2 2003/12/10 14:54:33 raven Exp $
-#
 dn: nisMapName=auto.indirect,dc=bogus
 objectClass: top
 objectClass: nisMap
diff --git a/samples/ldap-nis-auto.master b/samples/ldap-nis-auto.master
index 0a18090..7cdc33c 100644
--- a/samples/ldap-nis-auto.master
+++ b/samples/ldap-nis-auto.master
@@ -1,6 +1,4 @@
 #
-# ident $Id: ldap-nis-auto.master,v 1.2 2003/12/10 14:54:33 raven Exp $
-#
 dn: nisMapName=auto.master,dc=bogus
 objectClass: top
 objectClass: nisMap
diff --git a/samples/rc.autofs.in b/samples/rc.autofs.in
index 27458cb..8003231 100644
--- a/samples/rc.autofs.in
+++ b/samples/rc.autofs.in
@@ -1,7 +1,5 @@
 #!/bin/bash
 #
-# $Id: rc.autofs.in,v 1.63 2006/03/30 02:09:51 raven Exp $
-#
 # rc file for automount using a Sun-style "master map".
 #
 # On most distributions, this file should be called:
